All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::mem_object_allocation_failure Class Reference

Exception thrown if a memory object cannot be allocated. Usually the requested memory buffer is simply too large. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::mem_object_allocation_failure:

## Detailed Description

Exception thrown if a memory object cannot be allocated. Usually the requested memory buffer is simply too large.

Definition at line 123 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp